package com.dayou.service.workflow;
import com.dayou.entity.WorkNodeTask;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.vo.NameCodeVO;

import java.util.List;

/**
 * <p>
 * 工作流节点任务 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-10-17
 */
public interface IWorkNodeTaskService extends IService<WorkNodeTask> {

        Page<WorkNodeTask> selectPage(Page page,WorkNodeTask workNodeTask);

        WorkNodeTask detail(Long id);

        Boolean add(WorkNodeTask workNodeTask);

        Boolean update(WorkNodeTask workNodeTask);

        Boolean delete(Long id);

    List<WorkNodeTask> allNodeTask();

        List<NameCodeVO> allHandlerPermission();

        WorkNodeTask getLatestNodeTask(Long nodeId);
}
